Subject: Re: cron / crontab different permissions
From: Jason Tishler <[email-masked]>
To: Dan Gardner <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 19 Sep 2001 10:03:09 -0400

On Mon, Sep 17, 2001 at 06:49:31PM +0100, Dan Gardner wrote:
> When ever I use crontab to change a users crontab, it alters the
> /var/cron/tabs<username> file.
> But it does not set the correct permissions on the file so when cron tries;
> it fails logging the following error:
> 
> CAN'T OPEN (tabs/<username>)
> 
> Why is this?

Following the instructions in:

    /usr/doc/Cygwin/cron.README

I'm running into the same problem.

After running crontab -e, I have the following:

    $ find /var/cron -ls
    727000    0 drwxrwxrwt   3 jt       None            0 Sep 19 09:17 /var/cron
    989696    0 drwxrwxrwt   2 jt       None            0 Sep 19 09:18 /var/cron/tabs
    7935873    1 -rw-------   1 jt       None          282 Sep 19 09:18 /var/cron/tabs/jt

Since cron is running under the SYSTEM account, it is clear why it cannot
read my crontab.

My temporary workaround is the following:

    $ chmod +r /var/cron/tabs/jt

which must be re-executed after every crontab -e.

What are Dan and I missing?

FYI, I *did* search the archives.  In particular, I read every message
found when I searched for "cron Schaap".

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/